Dashboards
PUT /v1/widgets/{widget_id}
Update a widget.
PUT /v1/widgets/{widget_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/widgets/{widget_id}import requests
url = "https://api.getbluejay.ai/v1/widgets/{widget_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/widgets/{widget_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/widgets/{widget_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/widgets/{widget_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/widgets/{widget_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/widgets/{widget_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyReplaces the full configuration and metrics of a widget. Send every field you want to keep.
data_type cannot change.
Path parameters
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request PUT \
--url https://api.getbluejay.ai/v1/widgets/{widget_id} \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "<string>",
"description": "<string>",
"chart_type": "line",
"chart_mode": "time_series",
"bar_mode": "stacked",
"aggregation": [
"count"
],
"time_bucket": "hour",
"group_by": "agent",
"simulation_ids": [
123
],
"show_indeterminate": false,
"filters": [
null
],
"column_visibility": {
"key": true
},
"color_overrides": {
"key": "<string>"
},
"center_label": {
"slice": "<string>",
"clamp_pct": 1.5,
"label": "<string>",
"benchmark": 1.5,
"compare_previous": true,
"unit": "<string>"
},
"show_legend": true,
"metrics": [
{
"metric": "<string>",
"custom_metric_id": "<string>",
"goal": "<string>",
"tool_call_id": "<string>",
"metadata_path": "<string>",
"threshold_operator": "lt",
"threshold_value": 1.5,
"metadata_type": "<string>"
}
]
}'
Example response
200
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"chart_type": "<string>",
"chart_mode": "<string>",
"data_type": "<string>",
"applies_to_all_agents": true,
"bar_mode": "<string>",
"aggregation": [
"<string>"
],
"time_bucket": "<string>",
"group_by": "<string>",
"simulation_ids": [
123
],
"show_indeterminate": true,
"filters": null,
"column_visibility": null,
"color_overrides": {
"key": "<string>"
},
"center_label": {
"slice": "<string>",
"clamp_pct": 1.5,
"label": "<string>",
"benchmark": 1.5,
"compare_previous": true,
"unit": "<string>"
},
"show_legend": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"widget_metrics": [],
"layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
}
Last modified on October 21, 2026
⌘I
PUT /v1/widgets/{widget_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/widgets/{widget_id}import requests
url = "https://api.getbluejay.ai/v1/widgets/{widget_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/widgets/{widget_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/widgets/{widget_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/widgets/{widget_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/widgets/{widget_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/widgets/{widget_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body